SystemOrganization addCategory: #'Generic-Spreadsheet'!

Object subclass: #GenericSpreadsheet
	instanceVariableNames: 'title numOfSheets id'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Generic-Spreadsheet'!

!GenericSpreadsheet commentStamp: 'SauravBhattacharya 5/21/2012 20:43' prior: 0!
Class intention
	I am creating a GenericSpreadsheet class for Spreadsheet support in Pharo Smalltalk.

Class collaborations
	I usually do not work in isolation but with the help of Yuriy Mironenko and Carla Florencia.!

!GenericSpreadsheet methodsFor: 'accessing' stamp: 'SauravBhattacharya 5/21/2012 20:38'!
id: aSmallInteger 
	id:= aSmallInteger .! !

!GenericSpreadsheet methodsFor: 'accessing' stamp: 'SauravBhattacharya 5/21/2012 20:35'!
numOfSheets: aSmallInteger 
	numOfSheets:= aSmallInteger.! !

!GenericSpreadsheet methodsFor: 'accessing' stamp: 'SauravBhattacharya 5/21/2012 20:33'!
title: aByteString 
	title:= aByteString .! !

Object subclass: #GenericWorksheet
	instanceVariableNames: 'title maxNumOfRows maxNumOfColumns id spreadsheetID'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Generic-Spreadsheet'!

!GenericWorksheet methodsFor: 'accessing' stamp: 'SauravBhattacharya 5/21/2012 20:27'!
id: aSmallInteger 
	id:=aSmallInteger .! !

!GenericWorksheet methodsFor: 'accessing' stamp: 'SauravBhattacharya 5/21/2012 20:24'!
maxNumOfColumns: aSmallInteger 
	maxNumOfColumns:= aSmallInteger .! !

!GenericWorksheet methodsFor: 'accessing' stamp: 'SauravBhattacharya 5/21/2012 20:24'!
maxNumOfRows: aSmallInteger 
	maxNumOfRows:=aSmallInteger .! !

!GenericWorksheet methodsFor: 'accessing' stamp: 'SauravBhattacharya 5/21/2012 20:38'!
spreadsheetID: aSmallInteger 
	spreadsheetID:= aSmallInteger .! !

!GenericWorksheet methodsFor: 'accessing' stamp: 'SauravBhattacharya 5/21/2012 20:23'!
title: aByteString 
	title:= aByteString .! !

Object subclass: #XLSCell
	instanceVariableNames: 'value type isNumeric worksheetID rowID columnID'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Generic-Spreadsheet'!

!XLSCell methodsFor: 'accessing' stamp: 'SauravBhattacharya 5/21/2012 19:59'!
column: aByteString 
	column := aByteString .! !

!XLSCell methodsFor: 'accessing' stamp: 'SauravBhattacharya 5/21/2012 20:30'!
columnID: aByteString 
	columnID := aByteString .! !

!XLSCell methodsFor: 'accessing' stamp: 'SauravBhattacharya 5/21/2012 20:15'!
isNumeric: aBoolean 
	isNumeric:= aBoolean .! !

!XLSCell methodsFor: 'accessing' stamp: 'SauravBhattacharya 5/21/2012 19:58'!
row: aSmallInteger 
	row:=aSmallInteger .! !

!XLSCell methodsFor: 'accessing' stamp: 'SauravBhattacharya 5/21/2012 20:30'!
rowID: aSmallInteger 
	rowID:=aSmallInteger .! !

!XLSCell methodsFor: 'accessing' stamp: 'SauravBhattacharya 5/21/2012 19:57'!
type: aByteString 
	type:= aByteString .! !

!XLSCell methodsFor: 'accessing' stamp: 'SauravBhattacharya 5/21/2012 19:54'!
value: aValue
	value:= aValue.! !

!XLSCell methodsFor: 'accessing' stamp: 'SauravBhattacharya 5/21/2012 20:28'!
worksheet: aSmallInteger 
	worksheet:=aSmallInteger .! !

!XLSCell methodsFor: 'accessing' stamp: 'SauravBhattacharya 5/21/2012 20:29'!
worksheetID: aSmallInteger 
	worksheetID:=aSmallInteger .! !

Object subclass: #XLSColumn
	instanceVariableNames: 'id width worksheetID'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Generic-Spreadsheet'!

!XLSColumn methodsFor: 'accessing' stamp: 'SauravBhattacharya 5/21/2012 20:06'!
height: aSmallInteger 
	height := aSmallInteger .! !

!XLSColumn methodsFor: 'accessing' stamp: 'SauravBhattacharya 5/21/2012 20:05'!
id: aByteString 
	id:=aByteString .! !

!XLSColumn methodsFor: 'accessing' stamp: 'SauravBhattacharya 5/21/2012 20:08'!
width:  aSmallInteger 
	width := aSmallInteger .! !

!XLSColumn methodsFor: 'accessing' stamp: 'SauravBhattacharya 5/21/2012 20:40'!
worksheetID: aSmallInteger 
	worksheetID:= aSmallInteger .! !

Object subclass: #XLSRow
	instanceVariableNames: 'id height worksheetID'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Generic-Spreadsheet'!

!XLSRow methodsFor: 'accessing' stamp: 'SauravBhattacharya 5/21/2012 20:09'!
height: aSmallInteger 
	height := aSmallInteger .! !

!XLSRow methodsFor: 'accessing' stamp: 'SauravBhattacharya 5/21/2012 20:07'!
id: aSmallInteger 
	id := aSmallInteger .! !

!XLSRow methodsFor: 'accessing' stamp: 'SauravBhattacharya 5/21/2012 20:40'!
worksheetID: aSmallInteger 
	worksheetID:= aSmallInteger .! !
